Retrieve a YearMakeModelTrim
curl --request GET \
--url https://commerce.driv.ly/api/yearmakemodeltrims/{make}/{model}/{year}/{trim}import requests
url = "https://commerce.driv.ly/api/yearmakemodeltrims/{make}/{model}/{year}/{trim}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/yearmakemodeltrims/{make}/{model}/{year}/{trim}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"yearMakeModel": {
"makeModel": {
"make": "<string>",
"model": "<string>"
},
"year": 123
},
"trim": "<string>",
"yearMakeModelTrimSpec": [
"<string>"
]
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Vehicles
Retrieve a YearMakeModelTrim
GET
/
yearmakemodeltrims
/
{make}
/
{model}
/
{year}
/
{trim}
Retrieve a YearMakeModelTrim
Path Parameters
YearMakeModelTrim is uniquely identified by YearMakeModel
YearMakeModelTrim is uniquely identified by YearMakeModel
YearMakeModelTrim is uniquely identified by YearMakeModel
YearMakeModelTrim is uniquely identified by Trim
Query Parameters
The number of levels of related objects to include in the response
Response
YearMakeModelTrim Found
YearMakeModel has Trim
Show child attributes
Show child attributes
Example:
{
"trim": "SE",
"yearMakeModel": {
"year": 2022,
"makeModel": { "make": "Toyota", "model": "Camry" }
},
"yearMakeModelTrimSpec": [
"vs_4jf8x9jv5c0b",
{
"id": "vs_4jf8x9jv5c0b",
"model": "Camry",
"make": "Toyota",
"squishVin": "4T1BF1FK5HU302396",
"year": 2022,
"engine": "2.5L 4-cylinder",
"drivetrain": "FWD",
"bodyStyle": "Sedan",
"transmission": "Automatic",
"trim": "SE",
"exteriorColors": ["Black", "Silver"],
"interiorColors": ["Black", "Gray"]
}
]
}
⌘I